Package org.spongepowered.asm.mixin.injection

## Interface IInjectionPointContext

All Superinterfaces:
  `IMessageSink`, `ISelectorContext`

All Known Subinterfaces:
  `ISliceContext`

All Known Implementing Classes:
  `AccessorInfo`, `AnnotatedMethodInfo`, `CallbackInjectionInfo`, `InjectionInfo`, `InjectionPointAnnotationContext`, `ModifyArgInjectionInfo`, `ModifyArgsInjectionInfo`, `ModifyConstantInjectionInfo`, `ModifyVariableInjectionInfo`, `RedirectInjectionInfo`, `SpecialMethodInfo`

    public interface IInjectionPointContext
    extends IMessageSink, ISelectorContext

Context for an injection point, used to access the mixin as well as the owner method and annotation for the injection point

### Method Summary

All Methods Instance Methods Abstract Methods
`org.objectweb.asm.tree.AnnotationNode` `getAnnotationNode()` Get the parent annotation (eg.
`org.objectweb.asm.tree.MethodNode` `getMethod()` Get the injection handler method

### Methods inherited from interface org.spongepowered.asm.util.IMessageSink

`addMessage`

### Methods inherited from interface org.spongepowered.asm.mixin.injection.selectors.ISelectorContext

`getAnnotation, getElementDescription, getMixin, getParent, getSelectorAnnotation, getSelectorCoordinate, remap`

### Method Detail

#### getMethod

    org.objectweb.asm.tree.MethodNode getMethod()

Get the injection handler method

Specified by:
  `getMethod` in interface `ISelectorContext`

#### getAnnotationNode

    org.objectweb.asm.tree.AnnotationNode getAnnotationNode()

Get the parent annotation (eg. the @Inject annotation)